[Mediawiki-l] Help - 1.10.1 -> 1.12.0 upgrade broke

Peter Laws plaws at ou.edu
Mon Jun 23 21:21:24 UTC 2008


Steve Lindemann wrote:

> the problem is related specificaly to v1.12.0
> 
> There is a quick fix - add to LocalSettings.php:
>     $wgParserConf['preprocessorClass'] = 'Preprocessor_Hash';
> 
> The "permanent" fix is to install the 'php-xml' package and restart Apache:
>       # yum -y install php-xml   (on fedora anyway)
>       # service httpd restart
> 
> Actually, I found the "permanent" fix was quicker to implement than the
> quick fix 8^)  ...but I tested each and both worked (for me)
> 
> the reference is (watch out for the line wrapping):
> http://www.mediawiki.org/wiki/Project:Support_desk#.28RESOLVED.29_PHP_Fatal_error:_Class_.27DOMDocument.27_not_found_in_.2Fvar.2Fwww.2Fhtml.2Fwiki.2Fincludes.2FPreprocessor_DOM.php_on_line_566


That was exactly it.  Fixed.  Permanently.  Thanks for the quick replies!!



-- 
Peter Laws / N5UWY
National Weather Center / Network Operations Center
University of Oklahoma Information Technology
plaws at ou.edu
-----------------------------------------------------------------------
Feedback? Contact my director, Craig Cochell, craigc at ou.edu. Thank you!


More information about the MediaWiki-l mailing list